 













                              The Video Switcher


                    GoMon - Switch to a Monochrome adaptor
                  GoCga - Switch to a Color Graphics adaptor
                GoEga - Switch to an Enhanced Graphics adaptor
                     GoShar - Display a shareware message


                                 Revision 1.00
                                 March 8, 1990





                                   Jeff Dill
                              16 Berkeley Avenue
                        Portsmouth, Rhode Island  02871

                                (401) 683-1513















                      Copyright (c) 1990 by Jeff M. Dill
                             All Rights Reserved.





           The Video Switcher Shareware archive may be freely copied
          and shared as long as all the enclosed files are included.

                                  Thank you.




                              The Video Switcher
                                    Page 1



 Introduction

        The Video Switcher software package is designed for PC Compatibles
        that have more than one video card installed. It allows easy
        switching between a Monochrome, Color, or Enhanced Graphics adaptor
        (as long as the appropriate hardware is installed in the computer and
        is in working condition.)

 Technical Information

        Switching from one display adaptor to another is done by
        changing bits 4 and 5 of the byte at address 0000:0410 in
        memory. Changing these bits produces the following results:

               Bit
              5  4             Adaptor Used
              ----             ------------
              0  0             EGA
              0  1             CGA 80 Column Mode
              1  0             CGA 40 Column Mode
              1  1             Monochrome

        Changing any of these bits is followed immediately by a mode
        setting command. The video mode is left the same unless the old
        video mode is incompatible with the present display adaptor
        (such as when switching from a monochrome display to a color
        display), or a new video mode is called for on the command line.

 User Supported Software

        The Video Switcher software package is distributed with a
        marketing approach called shareware. This shareware archive
        with the programs and documentation may be freely copied and
        shared. I ask you to help me distribute this software by sharing
        unmodified copies of the shareware archive with others. I also
        encourage you to register your copy for $10.00. You'll find a
        registration form at the end of this manual. Thank you for your
        support and enjoy the programs.

 Registering

        Shareware is a term for software that can be freely copied and
        shared. The term describes copyrighted software that the author
        supports and encourages people to copy and share.

        Shareware is like public television: the programming is freely
        distributed, but support from users is encouraged. The concept
        is based on these principles:

            1. People need to try programs to see if they are useful.
            2. Software authors can be supported directly by users.
            3. Copying and networking of programs can be encouraged.




                              The Video Switcher
                                    Page 2



        I encourage you to register your copy of The Video Switcher for
        $10.00. Telephone Support and bug fixes are made available to
        registered users. Any programming errors are fixed when they
        are received and an updated version of the program is made
        available to registered users for a small fee. Fees cover the
        cost of media and shipping.

 Distribution Archive

        The Video Switcher shareware archive is being distributed with
        the name VIDSWXXX.ZIP. The last 3 characters of the name (XXX) are the
        revision that software package. The Video Switcher shareware archive
        contains the following files:

              GOMON.EXE        Switch to a Monochrome Adaptor
              GOCGA.EXE        Switch to a Color Graphics Adaptor
              GOEGA.EXE        Switch to an Enhanced Graphics Adaptor
              GOSHAR.EXE       Shareware advertisement
              GOSHAR.MAN       This Manual
              GOSHAR.FRM       Registration Form

 Installation

              1) Make a backup of the disk containing The Video Switcher
                 shareware archive!

              2) Use PKUNZIP to unarchive the files. You will need about
                 100k of free disk space for all the files. Alternatively
                 you can extract only those files you need for use with a
                 specific video adaptor. see the documentation on PKUNZIP
                 for details. For example:

                       A>PKUNZIP A:VIDSW100

              3) Copy the executable files (gomon.exe, gocga.exe, or
                 goega.exe) into a sub-directory on your PATH or on
                 to any floppy disks where they might be used.

 Using The Video Switcher

        Use of The Video Switcher is simple: to switch to a monochrome
        adaptor, run GOMON.EXE. To switch to a Color Graphics Adaptor,
        run GOCGA.EXE. To switch to an Enhanced Graphics Adaptor, run
        GOEGA.EXE. These three programs take the following optional
        command line arguments:

              -f is the force flag. It will cause the program
                 to switch to the indicated Adaptor whether or
                 not it detects the hardware to drive it.
              -h is the help flag. It prints this message.
              -s is the slow video flag. This causes only
                 BIOS calls to write to the video screen;
                 no direct screen writes.




                              The Video Switcher
                                    Page 3



        In addition, GOCGA.EXE and GOEGA.EXE take an additional command
        line argument: the desired screen width. The only valid values
        are 40 and 80.

        To view the Shareware commercial, run GOSHAR.EXE. This program
        takes the following optional command line arguments:

              -h is the help flag. It prints this message.
              -s is the slow video flag. This causes only
                 BIOS calls to write to the video screen;
                 no direct writes.

        The optional arguments may be preceded by either a dash (-) or
        a slash (/). If you are using another switch character, it may
        be used in place of the dash or the slash.

 Feedback

        Please pass along your comments. The Video Switcher is your tool.
        If you find any logic errors let me know. I am committed to
        making The Video Switcher run on as many hardware configurations
        as is possible. So please call or write. If you use The Video
        Switcher, register your copy. The Shareware system will work only
        if you support it!

Warranty

        This is a Shareware package. As such, it is distributed by various
        methods such as through Clubs, BBSs, Shareware Distributors, and
        other third party methods.

        As a result, what happens to the product between the time it left my
        hands and arrived in your's are beyond my direct control. Therefore,
        I can offer no warranty or guaranty on this product, and I will assume
        no responsibility for losses or damages caused by the use of this
        software.

        Use of this product is "at your own risk" unless you register your
        copy.



 Registration Form


        TO:

            Jeff Dill
            16 Berkeley Ave.
            Portsmouth, RI  02871

            1-(401)-683-1513


        FROM:

            Name:         __________________________________

            Company:      __________________________________

            Address:      __________________________________

            City, State:  __________________________________

            Zip Code:     __________________________________

            Phone Number: (______)__________________________


        Software:
            GoMon
            GoCga
            GoEga
            GoShar

            Rev 1.00  8-MAR-1990

            Serial Number: _________________________________


        Single System Use at $10.00                __________

        Rhode Island residents add 6% sales tax.   __________

        Total enclosed                             __________


        Update Diskette format (choose one) 5.25" disk ____  3.5" disk ____

        Terms:  Check drawn on an U.S. banks in U.S. funds.
